commit:     a5b485633c0e12a96f1fd60edee7e812777ce936
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 30 21:59:30 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Tue Apr 30 21:59:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b48563

games-util/lgogdownloader: Version bump to 3.5

Adds GUI login support for passing reCAPTCHA.

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-util/lgogdownloader/Manifest                 |  1 +
 .../lgogdownloader/lgogdownloader-3.5.ebuild       | 40 ++++++++++++++++++++++
 .../lgogdownloader/lgogdownloader-9999.ebuild      | 25 +++++++++++---
 games-util/lgogdownloader/metadata.xml             |  3 ++
 4 files changed, 64 insertions(+), 5 deletions(-)

diff --git a/games-util/lgogdownloader/Manifest 
b/games-util/lgogdownloader/Manifest
index 41c78e17777..a37b070d937 100644
--- a/games-util/lgogdownloader/Manifest
+++ b/games-util/lgogdownloader/Manifest
@@ -1 +1,2 @@
 DIST lgogdownloader-3.4.tar.gz 86362 BLAKE2B 
a6f0f7b69fc3707c5788f8c25b0669887fde2f44c585f069cbada40791283e37f01d6adcc216712bb6f283a4a46dc8ebecb4861000b7db58d45be777f5b55a56
 SHA512 
852a335e21c199e9fc49a1cf07fd218d487cb70ebf4ed2a2c81e46477df7629999bc5c8c33f18fdc754804c459f088c8af9624815eacb054516a060d55ce4583
+DIST lgogdownloader-3.5.tar.gz 87061 BLAKE2B 
bde2a8f2c229c9bf62fe83650e81c950806a6c6b9e4f591f08931082f59a961f39c16b5c18c8787edd46555e257354e71e0f1d009de1881f4d25257b28725996
 SHA512 
e3ce9d4932f9cda362b1472bd5eb605b01d1e9214b79e2d88fa4c2f02b0d54082df68b2f197d714e71a72d57be746dbf0afed68b3316888fdfa6e02c31611ee0

diff --git a/games-util/lgogdownloader/lgogdownloader-3.5.ebuild 
b/games-util/lgogdownloader/lgogdownloader-3.5.ebuild
new file mode 100644
index 00000000000..0f8ac4e4d85
--- /dev/null
+++ b/games-util/lgogdownloader/lgogdownloader-3.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="Unofficial GOG.com downloader for Linux"
+HOMEPAGE="https://sites.google.com/site/gogdownloader/";
+SRC_URI="https://sites.google.com/site/gogdownloader/${P}.tar.gz";
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gui"
+
+RDEPEND=">=app-crypt/rhash-1.3.3-r2:0=
+       dev-cpp/htmlcxx:0=
+       dev-libs/boost:0=
+       >=dev-libs/jsoncpp-1.7:0=
+       dev-libs/tinyxml2:0=
+       net-libs/liboauth:0=
+       >=net-misc/curl-7.32:0=[ssl]
+       gui? ( dev-qt/qtwebengine:5=[widgets] )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="sys-apps/help2man
+       virtual/pkgconfig"
+
+src_configure() {
+       local mycmakeargs=(
+               -DUSE_QT_GUI=$(usex gui)
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       gunzip "${ED}"/usr/share/man/man1/${PN}.1.gz || die
+}

diff --git a/games-util/lgogdownloader/lgogdownloader-9999.ebuild 
b/games-util/lgogdownloader/lgogdownloader-9999.ebuild
index a04e8bc6c49..d0d1304d013 100644
--- a/games-util/lgogdownloader/lgogdownloader-9999.ebuild
+++ b/games-util/lgogdownloader/lgogdownloader-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit cmake-utils git-r3
 
@@ -10,6 +10,7 @@ HOMEPAGE="https://sites.google.com/site/gogdownloader/";
 EGIT_REPO_URI="https://github.com/Sude-/lgogdownloader.git";
 LICENSE="WTFPL-2"
 SLOT="0"
+IUSE="gui"
 
 RDEPEND=">=app-crypt/rhash-1.3.3-r2:0=
        dev-cpp/htmlcxx:0=
@@ -17,8 +18,22 @@ RDEPEND=">=app-crypt/rhash-1.3.3-r2:0=
        >=dev-libs/jsoncpp-1.7:0=
        dev-libs/tinyxml2:0=
        net-libs/liboauth:0=
-       >=net-misc/curl-7.32:0=[ssl]"
+       >=net-misc/curl-7.32:0=[ssl]
+       gui? ( dev-qt/qtwebengine:5=[widgets] )"
 
-DEPEND="${RDEPEND}
-       sys-apps/help2man
+DEPEND="${RDEPEND}"
+
+BDEPEND="sys-apps/help2man
        virtual/pkgconfig"
+
+src_configure() {
+       local mycmakeargs=(
+               -DUSE_QT_GUI=$(usex gui)
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       gunzip "${ED}"/usr/share/man/man1/${PN}.1.gz || die
+}

diff --git a/games-util/lgogdownloader/metadata.xml 
b/games-util/lgogdownloader/metadata.xml
index 8a63172d961..59a94aac8e8 100644
--- a/games-util/lgogdownloader/metadata.xml
+++ b/games-util/lgogdownloader/metadata.xml
@@ -12,6 +12,9 @@
        <upstream>
                <remote-id type="github">Sude-/lgogdownloader</remote-id>
        </upstream>
+       <use>
+               <flag name="gui">Enable GUI login support for passing 
reCAPTCHA</flag>
+       </use>
        <longdescription>
                LGOGDownloader is open source downloader to GOG.com for Linux
                users using the same API as the official GOGDownloader.

Reply via email to